<?php
if( !defined( 'ABSPATH' ) ) {
    exit;
}
if(is_admin())
 require_once 'class-layout.php';
function novin_email_marketing_send($text='') {
		     $mailmarket = get_option( 'novin_marketing' );
		     $massgmarket= $mailmarket['emailmarket'];
             $heademarket= $mailmarket['headeremail'];
             $titleemail= $mailmarket['titleemail'];
			$text = (empty($text) ? '' : strip_tags($text));
				$lng = array(
					'email_title' => $titleemail,
					'email_header' => $heademarket,
					'email_message' => $massgmarket,
					'email_footer' => 'با تشکر',
					'email_footer_sign' => 'مدیریت '.get_bloginfo('name'),
				);
			
			return (isset($lng[$text]) ? $lng[$text] : '');
		}
$marketing = get_option('novin_marketing');
$time = isset($marketing['time_send']) ? esc_attr($marketing['time_send']) : '';
$licensetoken= get_option( 'novin_marketing_license' );
$license = isset( $licensetoken['license'] ) ? esc_attr( $licensetoken['license'] ) : '';
if(!empty($license)){
    if (!wp_next_scheduled('check_marketing_novin_sms')){
               if(strtotime($time) < date('H:i')){
          $tomo='tomorrow';
        }else{
             $tomo='';
        }
wp_schedule_event(strtotime($tomo.$time. "Asia/Tehran"), 'daily', 'check_marketing_novin_sms');
    }
add_action('check_marketing_novin_sms','get_order_phonnumber_marketing_novin');
}
function novin_marketing_unique_code($limit)
    {
    return substr(base_convert(sha1(uniqid(mt_rand())), 16, 36), 0, $limit);
    }
function get_order_phonnumber_marketing_novin(){
$marketing = get_option( 'novin_marketing' );
    global $wpdb;
$dayo = isset($marketing['day_send']) ? esc_attr($marketing['day_send']) : '';
$inuse=isset( $marketing['inuse'] ) ? esc_attr( $marketing['inuse'] ) : '';
$sms = isset($marketing['sms']) ? esc_attr($marketing['sms']) : '';
$max=isset( $marketing['max'] ) ? esc_attr( $marketing['max'] ) : '';
$messages_sm=isset( $marketing['sms_marketing'] ) ? esc_attr( $marketing['sms_marketing'] ) : '';
$checksms= isset( $marketing['checksms'] ) ? esc_attr( $marketing['checksms'] ) : '';
$checkmail =isset( $marketing['checkmail'] ) ? esc_attr( $marketing['checkmail'] ) : '';
$dayi=isset( $marketing['dayi'] ) ? esc_attr( $marketing['dayi'] ) : '';
$checsale =isset( $marketing['check_sale'] ) ? esc_attr( $marketing['check_sale'] ) : '';
$customer_orders =$wpdb->get_col( "SELECT p.ID
        FROM {$wpdb->prefix}posts as p
        WHERE p.post_type LIKE 'shop_order'
        AND p.post_status IN ('wc-completed', 'wc-deliver')
        AND   date_format( p.post_date, '%Y-%m-%d') > DATE_SUB(date_format(NOW(), '%Y-%m-%d'), INTERVAL $dayo MONTH)
        ORDER BY p.ID DESC" );

          $i = 0;
           if ( sizeof($customer_orders) > 0 ) {
               $ord=array();
    foreach($customer_orders as $order ){
   
      $orderin = new WC_Order( $order );
    $ord[]=$orderin->get_billing_phone();
    }
       foreach(array_unique($ord) as $mobiles){
        global $wpdb;
$order_tel= $wpdb->get_var("SELECT p.ID FROM {$wpdb->prefix}posts p
    INNER JOIN {$wpdb->prefix}postmeta pm ON p.ID = pm.post_id
    AND pm.meta_key = '_billing_phone'
    AND pm.meta_value = '$mobiles '
      ORDER BY p.ID DESC LIMIT 1");
    $orderi = new WC_Order( $order_tel);
    $user_id=$orderi->get_user_id();
    $send_sms=get_post_meta($order_tel,'_novin_market_new_smssend',true);
    $firstname=$orderi->get_billing_first_name();
    $lastname=$orderi->get_billing_last_name();
    $days=($dayi * 29);
    $today = strtotime(date("Y-m-d"));
    $create=$orderi->get_date_created()->date('Y-m-d');
    $date_created= strtotime($create);
$status=array('wc-deliver','wc-on-hold', 'wc-processing', 'wc-completed','wc-box','wc-withoutlogin','wc-pws-packaged','wc-pws-ready-to-ship','wc-pws-shipping','wc-pws-need-review','wc-pws-in-stock','wc-pws-packaged','wc-pws-courier');
    $ordersv = get_posts( array(
        'numberposts' => - 1,
        'meta_key'    => '_billing_phone',
        'meta_value'  => $mobiles,
        'post_type'   => array( 'shop_order' ),
        'post_status' =>  $status,
        'date_query' => array(
            'after' => date('Y-m-d', strtotime(-$days. 'days')),
            'before' => date('Y-m-d', strtotime('today')) 
        )

    ) );

    if(empty($send_sms) && $date_created < ($today - $days) && sizeof($ordersv) <= 0 ){
    $amount_fee= isset( $marketing['amount']) ? esc_attr( $marketing['amount'] ) : '';
    $check_coupon= isset( $marketing['check_coupon']) ? esc_attr( $marketing['check_coupon']) : '';
    $amount = $amount_fee; // Amount
    $day=isset( $marketing['day_count']) ? esc_attr( $marketing['day_count']) : '';
    $discount_type = isset($marketing['discount']) ? esc_attr($marketing['discount']) : ''; 
    if($check_coupon == 'checked'){
    $random_number = rand(1, 99);
    $coupon_code = novin_marketing_unique_code(5).($order_tel + $random_number + (543)); // Code - perhaps generate this from the user ID + the order ID
    $date_expires     = date('Y-m-d', strtotime('+'.$day.' days'));
    $coupon = array(
    'post_title' => $coupon_code,
    'post_content' => '',
    'post_status' => 'publish',
    'post_author' => 1,
    'post_type'     => 'shop_coupon'
);  
     $new_coupon_id = wp_insert_post( $coupon );
     update_post_meta( $new_coupon_id, 'discount_type', $discount_type );
     update_post_meta( $new_coupon_id, 'expiry_date', $date_expires );
     update_post_meta( $new_coupon_id, 'coupon_amount', $amount );
     update_post_meta( $new_coupon_id, 'usage_limit', '1' );
        if(!empty($max))
     update_post_meta( $new_coupon_id, 'minimum_amount', $max );
     $yesorno='yes';
      if($checsale == 'checked'){
     
     update_post_meta( $new_coupon_id, 'exclude_sale_items', $yesorno );
     }
      if($inuse == 'checked'){
     update_post_meta( $new_coupon_id, 'individual_use', $yesorno );
}
}       $arrFrom = array("&lt;br /&gt;","{name}","{family}","{coupon}","<br />");
        $arrTo = array("",$firstname,$lastname,$coupon_code,"");
          if($checksms == 'checked'){
        $message_sms = str_replace($arrFrom, $arrTo,$messages_sm);
        $data = array();
	    $data['type']    = 1;
		$data['mobile']  = $mobiles ;
		$data['message'] = strip_tags ($message_sms);
     	$response = PWooSMS()->SendSMS( $data );
          }
        $email=$orderi->billing_email;      
		$messages =novin_email_marketing_send('email_header')."\n\n". novin_email_marketing_send('email_message')."\n";
		$message = str_replace($arrFrom, $arrTo,$messages);
		$message .= novin_email_marketing_send('email_message_desc')."\n\n"; 
		$message .= novin_email_marketing_send('email_footer')."\n".novin_email_marketing_send('email_footer_sign');
		$headers = "From: ".get_bloginfo('name')." <".get_bloginfo('admin_email').">\r\n";
		if ( is_email($email) && $checkmail =='checked' ) {
		wp_mail( $email, novin_email_marketing_send('email_title'), $message, $headers );
		
	      }  
	      if($response === true || $checkmail =='checked'){
update_post_meta($order_tel,'_novin_market_new_smssend','true');
}
    $i++;
            if ($i == $sms)
            {
                break;
            }
        }
    }
}
}
if(is_admin())
add_action('wp_loaded','check_validate_license_novin_marketing');
function check_validate_license_novin_marketing(){
$time=strtotime('now');
$last_times=get_post_meta(25005,'_time_per_refnom',true);
if(empty($last_times)){
    $last_time=((int)1000);
}else{
 $last_time=isset($last_times) ? esc_attr($last_times) : '';   
}
$last_time2=get_option('time_marketing_check_secend');
if(empty($last_time2))
$last_time2=0;
$delay= ((int)48 * (int)3600);
$delay2= ((int)96 * (int)3600);
$sett=((int)$last_time + $delay);
$sett2=((int)$last_time2 + $delay2);
$licensetoken= get_option( 'novin_marketing_license' );
$license = isset( $licensetoken['license'] ) ? esc_attr( $licensetoken['license'] ) : '';
if(!empty($license) && $time > $sett && $time > $sett2 ){
$result = novin_marketing_license::isValid($license);
if ($result->status =='successful') {
    update_post_meta(25005,'_time_per_refnom',$time);
  delete_option('time_marketing_check_secend');
}elseif($result->status !='successful' && ($last_time2 <= 0)){
   update_option('time_marketing_check_secend',$time);
}elseif( $result->status !='successful'){
         delete_option( 'novin_marketing_license' );
    }
  }
}

	class novin_marketing_setting_orders
	
{
    /**
     * Holds the values to be used in the fields callbacks
     */
    private $options;
    public $produc_token = '7f6c748c-f888-4b4f-8b10-0c6d5204fb17'; 
    
    /**
     * Start up
     */
    public function __construct()
    {
        
        add_action( 'admin_menu', array( $this, 'novin_marketing_woocommerce_plugin_page' ) );
        add_action( 'admin_init', array( $this, 'novin_marketing_init' ) );
    }

    /**
     * Add options page
     */
    public function novin_marketing_woocommerce_plugin_page()
    {
        // This page will be under "Settings"
     add_menu_page(
            'دیجیتال مارکتینگ', 
            'دیجیتال مارکتینگ', 
            'manage_options', 
            'novin-marketing-admin', 
            array( $this, 'novin_marketing_admin_page' ),
            user_marketing_assets_url.'logo/marketing.png','40');
        
    }

    /**
     * Options page callback
     */
    public function novin_marketing_admin_page()
    {
        
        // Set class property
        $this->marketing = get_option( 'novin_marketing' );
        $this->license = get_option( 'novin_marketing_license' );
        $default_tab = null;
        $tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
        ?>
        <div class="wrap">
            <h1>به افزونه دیجیتال مارکتینگ کنکاش خوش امدید</h1>
   <nav style="font-family: bbyekan" class="nav-tab-wrapper">
   <?php
       
     $licensecheck =  isset($this->license['license']) ? esc_attr($this->license['license']) : '';
if(!empty($licensecheck)){?>
      <a href="?page=novin-marketing-admin" class="nav-tab <?php if($tab===null):?>nav-tab-active<?php endif; ?>">تنظیمات افزونه</a>
   <?php }?>
       <a href="?page=novin-marketing-admin&tab=license" class="nav-tab <?php if($tab==='license'):?>nav-tab-active<?php endif; ?>">ثبت لایسنس</a>
            <a href="?page=novin-marketing-admin&tab=product" class="nav-tab <?php if($tab==='product'):?>nav-tab-active<?php endif; ?>">دیگر محصولات ما</a>
    </nav>
     <style>
                                   @font-face {

font-family: bbyekan;
src: url(<?php echo user_marketing_assets_url .'fonts/Yekan/Yekan.eot' ?>);
src: url(<?php echo user_marketing_assets_url .'fonts/Yekan/Yekan.eot?#iefix' ?>) format("embedded-opentype"),
url(<?php echo user_marketing_assets_url.'fonts/Yekan/Yekan.woff'?>) format("woff"),
url(<?php echo user_marketing_assets_url .'fonts/Yekan/Yekan.ttf' ?>) format("truetype"),
url(<?php echo user_marketing_assets_url .'fonts/Yekan/Yekan.svg#BYekan' ?>) format("svg");

font-style: normal
}
    #wpfooter p {

    display: none!important;
    }
        #footer-thankyou {

    display: none!important;
}
    </style>
    <br>
    <?php
if($tab === null){?>
<div id="suc">
<p>اطلاعات با موفقیت ذخیره شد</p></div>
<style>
    #suc {
position:fixed;
display:none;
left:3px;
right:auto;
color:#fff;
bottom:3px;
z-index:9999;
width:250px;
height:50px;
background:green;
font-size: 15px;

    border-radius: 15px;
    text-align: center;
}
</style>
<?php }
  
 
 if($tab==='product'){?>
     <style>
.card {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    max-width: 300px;
    margin: auto;
    border-radius: 6px;
    display: table-cell;
    margin-left: 18px;
    text-align: center;
    float: right;
  margin-top: 11px;
}

.price {
    color: #F44336;
    font-weight: 700;
    font-size: 22px;
}

.card button {
  border: none;
  
  border-radius: 7px;
  outline: 0;
  padding: 12px;
  color: white;
  background-color: #1ebf24;
  text-align: center;
  cursor: pointer;
  width: 100%;
  font-size: 18px;
}
.tit{
     font-size: 18px!important;
}
.card button:hover {
  opacity: 0.7;
  background-color:red;
}
</style>
</head>
<body style="font-family: bbyekan">

<h2 style="text-align:center"></h2>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dc9fbf3eaec370009205b97/603dde4114c8eb193f1e72a8.jpg" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">زمان تحویل کالای ووکامرس</h1>
  <p class="price">99000 تومان</p>
  <p >افزونه زمان تحویل کالا ماهان </p>
 <p><a href="https://www.zhaket.com/web/woocommerce-delivery-time-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dca1ab9eaec370009207b46/5f7ca14c1eba3801787c0a34.png" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">کد تخفیف به ازای معرف</h1>
  <p class="price">59000 تومان</p>
  <p >افزونه ارائه کد تخفیف در ازای معرفی کاربر </p>
 <p><a href="https://www.zhaket.com/web/novin-refferal-discount-code-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dc9fbf3eaec370009205b97/5f6f3f936395b510906c11aa.png" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">تایید سفارش و استعلام قیمت</h1>
  <p class="price">79000 تومان</p>
  <p>افزونه تایید سفارشات ووکامرس</p>
  <p><a href="https://www.zhaket.com/web/novin-order-approval" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dca1ab9eaec370009207b46/5f3f75fb58f85d0f36224065.png" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">یاد آوری پرداخت</h1>
  <p class="price">79000 تومان</p>
  <p>افزونه یاد آوری پرداخت ووکامرس | novin</p>
  <p><a href="https://www.zhaket.com/web/novin-woocommerce-payment-reminder" target="_blank"><button>مشاهده محصول</button></p></a>
</div><br>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dca1ab9eaec370009207b46/5f7f363435201908417da4f2.png" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">تبریک تولد کاربران ووکامرس</h1>
  <p class="price">69000 تومان</p>
  <p>افزونه تبریک تولد کاربران</p>
  <p><a href="https://www.zhaket.com/web/novin-happy-brithday-theme" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dca1ab9eaec370009207b46/5f216e9632f29e037510541c.png" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">افزونه پیگیری سفارشات </h1>
  <p class="price">79000 تومان</p>
  <p>پیگیری سفارشات ووکامرس</p>
  <p><a href="https://www.zhaket.com/web/novin-woocommerce-order-tracking" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dc9fbf3eaec370009205b97/5faa86e6663c3605e5125880.png" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">ثبت نظر و امتیاز</h1>
  <p class="price">79000 تومان</p>
  <p>افزونه ثبت نظر و امتیاز ووکامرس</p>
  <p><a href="https://www.zhaket.com/web/arad-woocommerce-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<br>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dca1ab9eaec370009207b46/5f98247105e6aa24963f3c4a.png" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">افزونه ارسال لینک پرداخت</h1>
  <p class="price">69000 تومان</p>
  <p>افزونه ارسال لینک پرداخت ووکامرس</p>
  <p><a href="https://www.zhaket.com/web/send-payment-link-of-woocommerce-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dca1ab9eaec370009207b46/5f323123da02710547344726.jpg" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">افزونه احراز هویت کاربران</h1>
  <p class="price">89000 تومان</p>
  <p>احراز هویت کاربران ووکامرس</p>
  <p><a href="https://www.zhaket.com/web/authentication-of-the-woocommerce-users-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dc9fbf3eaec370009205b97/5f9eb6df05e6aa3d70288257.jpg" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">میزان فروش ووکامرس</h1>
  <p class="price">59000 تومان</p>
  <p>افزونه میزان فروش ووکامرس</p>
  <p><a href="https://www.zhaket.com/web/arvand-sales-notification-woocommerce-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
                   <div class="card">
  <img src="https://cdn.zhaket.com/resources/5dc9fbf3eaec370009205b97/5fd71bb9a336c10628013edf.jpg" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">امضای الکترونیک</h1>
  <p class="price">89000 تومان</p>
  <p>افزونه رسید دیجیتال ووکامرس</p>
  <p><a href="https://www.zhaket.com/web/digital-signature-wordpress-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div> 
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dc9fbf3eaec370009205b97/5faa8a35ac125f057514cf27.png" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">افزونه دعوت مشتریان قدیمی </h1>
  <p class="price">79000 تومان</p>
  <p>افزونه دعوت مشتریان قدیمی ووکامرس</p>
  <p><a href="https://www.zhaket.com/web/kankash-woocommerce-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dca1ab9eaec370009207b46/5f9c32799803b636c45afc8d.png" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">استرداد سفارشات ووکامرس</h1>
  <p class="price">69000 تومان</p>
  <p>افزونه استرداد سفارشات ووکامرس</p>
  <p><a href="https://www.zhaket.com/web/aria-refund-woocommerce-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
<div class="card">
  <img src="https://cdn.zhaket.com/resources/5dca1ab9eaec370009207b46/5ffe8cf0e6aa0b0c63703e0b.jpg" alt="Denim Jeans" style="width:100%">
  <h1 class="tit">افزونه رویداد و مناسب های آوا</h1>
  <p class="price">69000 تومان</p>
  <p>افزونه رویداد و مناسب های آوا</p>
  <p><a href="https://www.zhaket.com/web/ava-woocommerce-plugin" target="_blank"><button>مشاهده محصول</button></p></a>
</div>
   <?php }
           $ajax=user_marketing_assets_url.'logo/ajax.gif';
       
            
        ?>
        <body onload="loadingAjax('noivnDiv');">
    <div id="noivnDiv">
        <img id="loading-image" src="<?php echo $ajax ?>" style=" margin-right: auto;
 
    position: fixed;
    text-align: center;
    top: 50%;
    left: 0;
    right: 0;
   
    margin-left: auto;
    z-index: 99999999;display:none;"/>

    </div>
</body>
<?php if( $tab === null){?>
        <script>

jQuery(document).ready(function(){

    var form = jQuery('#ajax-test-form');
    form.submit(function(e) {
        // prevent form submission
     

  
    event.preventDefault();
        // submit the form via Ajax
        jQuery.ajax({
            url: form.attr('action'),
            type: form.attr('method'),
            
            dataType: 'html',
            data:form.serialize(),
         beforeSend: function() {
              jQuery("#loading-image").show();
           //   jQuery('.nav-tab-wrapper').hide();

       
           },
            success: function(result) {
                // Inject the result in the HTML
             //   jQuery('#form-result').html(result);
             
            },
            complete: function(result) {
                 jQuery("#loading-image").hide();
jQuery(".hover_bkgr_fricsignature").show();
  jQuery("#suc").fadeIn(1000);
  jQuery("#suc").fadeOut(3000);
              //  jQuery('html, body').animate({
              //      scrollTop: jQuery("#form-result").offset().top
              //  }, 500);   
            }
        });
    });
 
});
</script>
   <?php }
?>
      
            <form method="post" style="font-family: bbyekan" action="options.php" id="ajax-test-form">
                <?php
    
if(!empty($licensecheck)){
             if($tab===null){ 
                // This prints out all hidden setting fields
                settings_fields( 'novin_marketing_group' );
                do_settings_sections( 'novin-marketing-admin' );
                      submit_button();
}       
}
             if($tab==='license'){ 
                // This prints out all hidden setting fields
                settings_fields( 'license_marketing_group' );
                do_settings_sections( 'novin-marketing-admin' );
                 //   submit_button();
}
            ?>
            </form>
        </div>
        <?php
    }

    /**
     * Register and add settings
     */
       public function novin_marketing_init()
    {  
$default_tab = null;
  $tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
           ////////////license
         register_setting(
            'license_marketing_group', // Option group
            'novin_marketing_license', // Option name
            array( $this, 'sanitize_license_marketing' ) // Sanitize
        );
         if($tab==='license'){ 
          add_settings_section(
            'setting_marketing_license', // ID
            'لایسنس که از ژاکت دریافت کرده اید را در این قسمت وارد کنید', // Title
            array( $this, 'print_licende_info' ), // Callback
            'novin-marketing-admin' // Page
        );  
      
 add_settings_field(
            'license', // license
         'ثبت لایسنس', // Title 
            array( $this, 'marketing_license_callback' ), // Callback
            'novin-marketing-admin', // Page
            'setting_marketing_license' // Section 
            
        ); 
              }

$licenses=get_option( 'novin_marketing_license' );
$licensecheck = isset($licenses['license']) ? esc_attr($licenses['license']) : ''; 
if(!empty($licensecheck)){  
        register_setting(
            'novin_marketing_group', // Option group
            'novin_marketing', // Option name
            array( $this, 'sanitize_marketing_novin' ) // Sanitize
        );

          if($tab===null){ 
              add_settings_section(
            'setting_time_marketing', // ID
            '',// Title
            array( $this, 'print_shortcode_info' ), // Callback
            'novin-marketing-admin' // Page
        );   
             add_settings_field(
            'coupon', // mobile
             'زمان بندی', // Title 
            array( $this, 'time_marketing_callback' ), // Callback
            'novin-marketing-admin', // Page
            'setting_time_marketing' // Section           
        ); 
                add_settings_section(
            'setting_shortcode_marketing', // ID
            '',// Title
            array( $this, 'print_shortcode_info' ), // Callback
            'novin-marketing-admin' // Page
        );   
             add_settings_field(
            'shortcode', // mobile
             '', // Title 
            array( $this, 'marketing_shortcode_page_callback' ), // Callback
            'novin-marketing-admin', // Page
            'setting_shortcode_marketing' // Section           
        ); 
                     add_settings_section(
            'setting_sms_marketing', // ID
            '',// Title
            array( $this, 'print_shortcode_info' ), // Callback
            'novin-marketing-admin' // Page
        );   
             add_settings_field(
            'sms', // mobile
             'ارسال پیامک', // Title 
            array( $this, 'sms_marketing_callback' ), // Callback
            'novin-marketing-admin', // Page
            'setting_sms_marketing' // Section           
        ); 
            add_settings_section(
            'setting_email_marketing', // ID
            '',// Title
            array( $this, 'print_shortcode_info' ), // Callback
            'novin-marketing-admin' // Page
        );   
             add_settings_field(
            'email', // mobile
             'ارسال ایمیل', // Title 
            array( $this, 'email_marketing_callback' ), // Callback
            'novin-marketing-admin', // Page
            'setting_email_marketing' // Section           
        ); 
            add_settings_section(
            'setting_coupon_marketing', // ID
            '',// Title
            array( $this, 'print_shortcode_info' ), // Callback
            'novin-marketing-admin' // Page
        );   
             add_settings_field(
            'coupon', // mobile
             'فعال سازی سیستم کوپن', // Title 
            array( $this, 'coupon_marketing_callback' ), // Callback
            'novin-marketing-admin', // Page
            'setting_coupon_marketing' // Section           
        ); 
        
     }
   }
}
public function print_licende_info(){
    
}
     public function print_shortcode_info(){
         
     }

     public function sanitize_marketing_novin($input){
   $new_input = array();
   if( isset( $input['checksms'] ) )
   $new_input['checksms'] = sanitize_text_field('checked');
    if( isset( $input['inuse'] ) )
   $new_input['inuse'] = sanitize_text_field('checked');
    if( isset( $input['check_sale'] ) )
   $new_input['check_sale'] = sanitize_text_field( 'checked');
   if( isset( $input['checkmail'] ) )
   $new_input['checkmail'] = sanitize_text_field( 'checked');
   if( isset( $input['amount'] )  )
   $new_input['amount'] = sanitize_text_field( $input['amount'] );
   if( isset( $input['check_coupon'] ) )
   $new_input['check_coupon'] = sanitize_text_field( 'checked');
   if( isset( $input['discount'] ) )
   $new_input['discount'] = sanitize_text_field($input['discount']);
   if( isset( $input['day_count'] ) )
   $new_input['day_count'] = sanitize_text_field($input['day_count']);
   if( isset( $input['dayi'] ) )
   $new_input['dayi'] = sanitize_text_field($input['dayi']);
   if( isset( $input['sms_marketing'] ) )
   $new_input['sms_marketing'] = nl2br($input['sms_marketing']);
   if( isset( $input['headeremail'] ) )
   $new_input['headeremail'] = sanitize_text_field($input['headeremail']);
   if( isset( $input['titleemail'] ) )
   $new_input['titleemail'] = sanitize_text_field($input['titleemail']);
   if( isset( $input['emailmarket'] ) )
   $new_input['emailmarket'] = nl2br($input['emailmarket']);
    if( isset( $input['max'] ) )
   $new_input['max'] = nl2br($input['max']);
   if( isset( $input['sms'] ) )
   $new_input['sms'] = sanitize_text_field($input['sms']);
   if( isset( $input['day_send'] ))
   $new_input['day_send'] = sanitize_text_field( $input['day_send'] );
   if( isset( $input['time_send'] )){
   $new_input['time_send'] = sanitize_text_field( $input['time_send'] );
   wp_clear_scheduled_hook('check_marketing_novin_sms');
              }
   return $new_input;
     }
     public function marketing_shortcode_page_callback()
    {
        echo"<a href='' onclick='jQuery(\".novin_settings_shortcodes\").slideToggle(); return false;' style='text-decoration: none;'>
			برای مشاهده شورتکدهای قابل استفاده در پیامک و ایمیل کلیک کنید.
		</a>
		<br>
		<br/>
		<div class='novin_settings_shortcodes' style='display: none'>
		<code>{name}</code> = نام کاربر
		<code>{coupon}</code> = کد تخفیف
		<code>{family}</code> = نام خانوادگی کاربر<br><br>
		</div><br>";
    }
    public function time_marketing_callback(){
     $time=isset( $this->marketing['time_send'] ) ? esc_attr( $this->marketing['time_send']) : '';   
     $day=isset( $this->marketing['day_send'] ) ? esc_attr( $this->marketing['day_send']) : ''; 
     $sms=isset( $this->marketing['sms'] ) ? esc_attr( $this->marketing['sms']) : '';
     $dayi=isset($this->marketing['dayi'] ) ? esc_attr($this->marketing['dayi'] ) : '';
         printf(
            'ساعت ارسال&nbsp;<br><br><input type="text" id="time" placeholder="فرمت: 09:07 یا 21:30" name="novin_marketing[time_send]" value="'. $time.'" /><br><br>'
           
        );  
          printf(
            'تعداد ماهی که باید سفارشات آن دوره بررسی شوند&nbsp;<br><br><input type="text" id="time" placeholder="مثال : 2" name="novin_marketing[day_send]" value="'.$day.'" />&nbsp;مثال : 2<br><br>'
           
        ); 
         printf(
            'تعداد ماهی که باید از ثبت سفارش گذشته باشد&nbsp;<br><br><input type="text" id="time" placeholder="مثال : 2" name="novin_marketing[dayi]" value="'.$dayi.'" />&nbsp;مثال : 2<br><br>'
           
        ); 
         printf(
    'تعداد پیامکی که در روز باید ارسال شوند&nbsp;<br><br><input type="text" id="time" placeholder="مثال : 6" name="novin_marketing[sms]" value="'.$sms.'" /><br>'
           
        );  
        
    }
    public function coupon_marketing_callback()
          
    {
        
        $check_coupon=isset( $this->marketing['check_coupon'] ) ? esc_attr( $this->marketing['check_coupon']) : '';
           printf(
            'فعال سازی<input type="checkbox" id="check_coupon"  name="novin_marketing[check_coupon]" value="" '.$check_coupon.' /><br></br>'
           
        );
        
        $amount=isset( $this->marketing['amount'] ) ? esc_attr( $this->marketing['amount']) : '';
          printf(
            'مقدار تخفیف<input type="text" style="width:330px" id="amount" placeholder="مقدار درصدی مانند 10 و مقدار قیمت ثابت مانند 10000" name="novin_marketing[amount]" value="'.$amount.'" /><br></br>'
           
        );
        
        $discount=isset( $this->marketing['discount'] ) ? esc_attr($this->marketing['discount']) : '';
     printf(
    'نوع کد تخفیف<select name="novin_marketing[discount]" id="discount">
    <option  value="percent" >درصدی</option>
    <option value="fixed_cart">قیمت ثابت</option>
    </select><br></br>'

        );
            if(!empty($discount)){
            echo'<script type="text/javascript">document.getElementById("discount").value = "'.$discount.'" </script>';
        }
        $daycount=isset( $this->marketing['day_count'] ) ? esc_attr($this->marketing['day_count']) : '';
        
                     printf(
            'مدت اعتبار کد تخفیف به روز<input type="text" style="width:60px" id="day_count"  name="novin_marketing[day_count]" value="'.$daycount.'" />حتما وارد شود<br><br>'
           
        );
                  $max=isset( $this->marketing['max'] ) ? esc_attr($this->marketing['max']) : '';
        
                     printf(
            'حداقل مقدار خرید برای استفاده از این کوپن ها<input type="text" style="width:100px" id="day_count"  name="novin_marketing[max]" value="'.$max.'" /><br></br>'
           
        );
            $check_sale=isset( $this->marketing['check_sale'] ) ? esc_attr( $this->marketing['check_sale']) : '';
           printf(
            'اگر میخواهید کد تخفیف بروی محصولات (تخفیف خورده) کار نکند چک باکس را فعال نمایید<input type="checkbox" id="check_coupon"  name="novin_marketing[check_sale]" value="" '.$check_sale.' /><br></br>'
           
        );
            $inuse=isset( $this->marketing['inuse'] ) ? esc_attr( $this->marketing['inuse']) : '';
           printf(
            'اگر کوپن مجاز به استفاده همزمان با کوپن های دیگر نیست، این گزینه را علامت بزنید<input type="checkbox" id="check_coupon"  name="novin_marketing[inuse]" value="" '.$inuse.' /><br></br>'
           
        );
    }
    public function  sms_marketing_callback(){
    $massgreminder= str_replace("<br />", "",$this->marketing['sms_marketing'] );
    $checksms=isset( $this->marketing['checksms']) ? esc_attr($this->marketing['checksms']) : '';
        printf(
            'فعال سازی ارسال پیامک&nbsp;&nbsp;&nbsp;<input type="checkbox" id="checksms"  name="novin_marketing[checksms]" value="" '.$checksms.' /><br><br>'
            );
            printf(
            '<textarea id="sms_marketing" name="novin_marketing[sms_marketing]" rows="6" cols="50" style="resize: vertical;"  placeholder="متن پیامکی که میخواهید به کاربر ارسال گردد">'. $massgreminder.'</textarea>'
           
        );
    }
  public function  email_marketing_callback(){
   $massgreminder=str_replace("<br />","", $this->marketing['emailmarket']);
   $headeremail= isset($this->marketing['headeremail']) ? esc_attr($this->marketing['headeremail']) : '';
   $titleemail= isset($this->marketing['titleemail']) ? esc_attr($this->marketing['titleemail']) : '';
   $checkmail=isset( $this->marketing['checkmail']) ? esc_attr($this->marketing['checkmail']) : '';
             printf(
            'فعال سازی ارسال ایمیل&nbsp;&nbsp;&nbsp;<input type="checkbox" id="checkmail"  name="novin_marketing[checkmail]" value="" '.$checkmail.' /><br><br>'
            );
      printf(
         'موضوع ایمیل&nbsp;&nbsp;<br><input id="titlereminder" name="novin_marketing[titleemail]" value="'.$titleemail.'" style="width :324px; border-radius: 4px; border: 1px solid #7c8079;"  placeholder="یاد آوری"><br></br>'.'سربرگ ایمیل&nbsp;

&nbsp;<br><input id="headerreminder" name="novin_marketing[headeremail]" value="'.$headeremail.'" style="width :324px;border-radius: 4px; border: 1px solid #7c8079;"  placeholder="سربرگ ایمیل"><br></br>'.
         '<textarea id="emailreminder" name="novin_marketing[emailmarket]" rows="6" cols="50" style="resize: vertical;"  placeholder="متن ایمیلی که میخواهید به کاربر ارسال گردد">'.$massgreminder.'</textarea><br></br>'
      );
     }
     public function sanitize_license_marketing( $input )
    {
 if( isset( $input['license'] )){
      $new_input = array();
      $license_token = $input['license'];
      $produc_token = $this->produc_token; 
      $result = novin_marketing_license::install($license_token, $produc_token);
      if( isset( $input['license'] ) &&($result->status !='successful') )
      $new_input['licenset'] = sanitize_text_field( $input['license'] );
       elseif( isset( $input['license'] ) &&($result->status =='successful') ){
      $new_input['license'] = sanitize_text_field( $input['license'] );
      wp_clear_scheduled_hook('check_marketing_novin_sms');
 }
 }
      return $new_input;
        
    }
     public function marketing_license_callback()
    {
$default_tab = null;
$tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
if($tab==='license'){
$li=   isset( $this->license['license'] ) ? esc_attr($this->license['license']) : '';
$lo=   isset( $this->license['licenset'] ) ? esc_attr($this->license['licenset']) : '';
$license_token = $li ?: $lo;
$result = novin_marketing_license::isValid($license_token);
if ($result->status=='successful') {
echo'<span style="color:#1aca1a;font-size: 13px;font-weight: 700;" >'.$result->message.'</span>
<br></br><span>' .$license_token.'</span>
</br><br><button style="background: #1aab83;cursor: pointer;border-radius: 4px;font-size: 13px; color: #fff;border: 2px solid #54c340;" type="submit" />حذف و ثبت لایسنس جدید</button>';
    
} else {
      if (!is_object($result->message)) {// License is Invalid

                    echo '<span style="color:red;font-size: 13px;font-weight: 700;" >'.$result->message.'</span></br><br><input type="text" style="width:350px" id=license" name="novin_marketing_license[license]" required  value=""/><br></br>
<button style ="background: #2fdc3d;border-radius: 4px;  cursor: pointer;color: #fff; border: 2px solid #54c340;"  type="submit" />ثبت لایسنس</button></br><br>';
        } else {
            foreach ($result->message as $message) {
                foreach ($message as $msg) {
                    echo '<span style="color:red;font-size: 13px;font-weight: 700;" >'.$msg.'</span></br><br><input type="text" style="width:350px" id=license" name="novin_marketing_license[license]" required  value=""/><br></br>
<button style ="background: #2fdc3d;border-radius: 4px; cursor: pointer;color: #fff; border: 2px solid #54c340;"  type="submit" />ثبت لایسنس</button></br><br>';
                }

            }
        }

        }
      }
}
    
}
if( is_admin() )
    $my_settings_page = new novin_marketing_setting_orders();